summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2011-01-07 20:41:12 +0100
committer Robby Workman2011-01-10 22:04:23 +0100
commitfd788583d5e3483e63d12d065df23bd86d073044 (patch)
tree872634a3b74095b433d125aea89fc7bfd3e8dd06
parent891b53bdca63892b17a4414a450da56b8c403fc6 (diff)
downloadslackbuilds-fd788583d5e3483e63d12d065df23bd86d073044.tar.gz
audio/clam: Added (C++ Library for Audio and Music)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--audio/clam/README14
-rw-r--r--audio/clam/clam.SlackBuild82
-rw-r--r--audio/clam/clam.info10
-rw-r--r--audio/clam/slack-desc19
4 files changed, 125 insertions, 0 deletions
diff --git a/audio/clam/README b/audio/clam/README
new file mode 100644
index 0000000000..f5d04d76ee
--- /dev/null
+++ b/audio/clam/README
@@ -0,0 +1,14 @@
+clam (C++ Library for Audio and Music)
+
+*** This is NOT anti-virus software! If you're looking for that, ***
+search for "clamav".
+
+CLAM is a software framework for research and application development
+on the audio and music domain. It provides means to perform complex
+audio signal analysis, transformations and synthesis. It also provides a
+uniform interface to common tasks on audio applications such as accessing
+audio devices and audio files, thread safe communication with the user
+interface and DSP algorithms recombination and scaling.
+
+This requires scons, ladspa_sdk, id3lib, portaudio, libsndfile,
+jack-audio-connection-kit, and xerces-c.
diff --git a/audio/clam/clam.SlackBuild b/audio/clam/clam.SlackBuild
new file mode 100644
index 0000000000..f770c66a7e
--- /dev/null
+++ b/audio/clam/clam.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for clam
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=clam
+VERSION=${VERSION:-1.4.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+SRCNAM=CLAM
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr $OUTPUT # NB: $PKG/usr must exist, not just $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Annoying scons script has hard-coded self.lib = self.prefix + '/lib'
+if [ "$LIBDIRSUFFIX" != "" ]; then
+ sed -i "s,/lib\>,/lib$LIBDIRSUFFIX," scons/libs/clam_build_helpers.py
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ scons configure \
+ with-fftw3=1 \
+ release=1 \
+ prefix=/usr \
+ prefix_for_packaging=$PKG/usr
+
+scons
+scons install
+strip $PKG/usr/lib$LIBDIRSUFFIX/*.so.*.*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES examples $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/clam/clam.info b/audio/clam/clam.info
new file mode 100644
index 0000000000..c2c1756c29
--- /dev/null
+++ b/audio/clam/clam.info
@@ -0,0 +1,10 @@
+PRGNAM="clam"
+VERSION="1.4.0"
+HOMEPAGE="http://clam-project.org/"
+DOWNLOAD="http://clam-project.org/download/src/CLAM-1.4.0.tar.gz"
+MD5SUM="614bb957a7aeecc667e144a46a1b87d2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="Niels Horn"
diff --git a/audio/clam/slack-desc b/audio/clam/slack-desc
new file mode 100644
index 0000000000..e5d1d264f9
--- /dev/null
+++ b/audio/clam/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+clam: clam (C++ Library for Audio and Music)
+clam:
+clam: CLAM is a software framework for research and application development
+clam: on the audio and music domain. It provides means to perform complex
+clam: audio signal analysis, transformations and synthesis. It also provides
+clam: a uniform interface to common tasks on audio applications such as
+clam: accessing audio devices and audio files, thread safe communication
+clam: with the user interface and DSP algorithms recombination and scaling.
+clam:
+clam:
+clam: